mia-2dmyocard-ica(1)

NAME
mia-2dmyocard-ica - Run an ICA analysis on a series of 2D images

SYNOPSIS
mia-2dmyocard-ica -i <in-base> [options]

DESCRIPTION
mia-2dmyocard-ica This program is used to run a ICA on a series of myocardial perfusion images to create sythetic references that can be used for motion correction by image registration. If the aim is to run a full motion compensation then it is better to create a segmentation set and use mia-2dmyoica-nonrigid. If the input data is given by means of a segmentation set, then on can also use mia-2dmyocard-icaseries. This program is essentially used to test different options on how to run the ICA forreference image creation.

OPTIONS

    -i --in-base=(input, required); io
        input file name ofolloing pattern nameXXXX.ext X=numbers
         For supported file types see PLUGINS:2dimage/io

    --coefs=
        output mixing coefficients to this file

    -o --out-base=(output); string
        output file name base

    -t --type=exr
        output file type

        Supported values are:( -, @, BMP, DCM, EXR, JPEG, JPG, PNG, RAW, TIF, TIFF, V, VISTA, bmp, dcm, exr, jpeg, jpg, png, raw, tif, tiff, v, vista, )

    -k --skip=2
        skip images at beginning of series

    -e --end=60
        last image in series

    -C --components=0
        nr. of components, 0=estimate automatically

    -m --strip-mean
        strip mean image from series

    -f --save-features=
        save feature image

    -p --strip-periodic
        strip only periodic component

    --fastica=internal
        FastICA implementationto be used
         For supported plugins see PLUGINS:fastica/implementation

    -x --max-ica-iterations=0
        max ICA solver iterations

    -n --ica-normalize
        ica_normalize feature images

    --all-features=
        save all feature images to

    -L --LV-crop-amp=0
        LV crop mask amplification, 0.0 = don't crop

  Help & Info

    -V --verbose=warning
        verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

        trace - Function call trace
        debug - Debug output
        info - Low level messages
        message - Normal messages
        warning - Warnings
        fail - Report test failures
        error - Report errors
        fatal - Report only fatal errors

    --copyright
        print copyright information

    -h --help
        print this help

    -? --usage
        print a short help

    --version
        print the version number and exit

  Processing

    --threads=-1
        Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

PLUGINS: 2dimage/io

bmp BMP 2D-image input/output support. The plug-in supports reading and writing of binary images and 8-bit gray scale images. read-only support is provided for 4-bit gray scale images. The color table is ignored and the pixel values are taken as literal gray scale values.

    Recognized file extensions: .BMP, .bmp

    Supported element types:
        binary data, unsigned 8 bit

datapool
    Virtual IO to and from the internal data pool

    Recognized file extensions: .@

dicom
    2D image io for DICOM

    Recognized file extensions: .DCM, .dcm

    Supported element types:
        signed 16 bit, unsigned 16 bit

exr a 2dimage io plugin for OpenEXR images

    Recognized file extensions: .EXR, .exr

    Supported element types:
        unsigned 32 bit, floating point 32 bit

jpg a 2dimage io plugin for jpeg gray scale images

    Recognized file extensions: .JPEG, .JPG, .jpeg, .jpg

    Supported element types:
        unsigned 8 bit

png a 2dimage io plugin for png images

    Recognized file extensions: .PNG, .png

    Supported element types:
        binary data, unsigned 8 bit, unsigned 16 bit

raw RAW 2D-image output support

    Recognized file extensions: .RAW, .raw

    Supported element types:
        binary data, signed 8 bit, unsigned 8 bit, signed 16 bit, unsigned 16 bit, signed 32 bit, unsigned 32 bit, floating point 32 bit, floating point 64 bit

tif TIFF 2D-image input/output support

    Recognized file extensions: .TIF, .TIFF, .tif, .tiff

    Supported element types:
        binary data, unsigned 8 bit, unsigned 16 bit, unsigned 32 bit

vista
    a 2dimage io plugin for vista images

    Recognized file extensions: .-, .V, .VISTA, .v, .vista

    Supported element types:
        binary data, signed 8 bit, unsigned 8 bit, signed 16 bit, unsigned 16 bit, signed 32 bit, unsigned 32 bit, floating point 32 bit, floating point 64 bit

PLUGINS: fastica/implementation

internal
    This is the MIA implementation of the FastICA algorithm.

    (no parameters)

itpp
    This is the IT++ implementation of the FastICA algorithm.

    (no parameters)

EXAMPLE
Evaluate the synthetic references from images imageXXXX.exr and save them to refXXXX.exr by using five independent components, mean stripping, normalizing, and skipping 2 images.

mia-2dmyocard-ica -i imageXXXX.exr -o ref -k 2 -C 5 -m -n

AUTHOR(s)
Gert Wollny

COPYRIGHT
This software is Copyright (c) 1999-2015 Leipzig, Germany and Madrid, Spain. It comes with ABSOLUTELY NO WARRANTY and you may redistribute it under the terms of the GNU GENERAL PUBLIC LICENSE Version 3 (or later). For more information run the program with the option '--copyright'.